curl --request POST \
--url https://api.limitless.exchange/orders/status/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"orderId": "4aa706dd-6c57-4f3c-945a-99818dfd95f1",
"clientOrderId": "client-order-001"
}
]
}
'{
"results": [
{
"index": 0,
"status": "found",
"error": "Exactly one of orderId or clientOrderId is required",
"orderId": "<string>",
"clientOrderId": "<string>",
"data": {
"order": {
"order": {
"salt": 1234567890,
"maker": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"signer": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"tokenId": "19633204485790857949828516737993423758628930235371629943999544859324645414627",
"makerAmount": 1000000000000000000,
"takerAmount": 750000000000000000,
"feeRateBps": 0,
"side": 0,
"signature": "0x123abc456def789ghi0123abc456def789ghi0123abc456def789ghi0123456789012345678901",
"signatureType": 2,
"taker": "0x0000000000000000000000000000000000000000",
"expiration": "2025-04-30T23:59:59Z",
"nonce": 42,
"price": 0.75
},
"makerMatches": [
{}
]
},
"makerMatches": [
{}
],
"execution": {
"clientOrderId": "<string>",
"feeRateBps": 0,
"effectiveFeeBps": 0,
"matched": true,
"settlementStatus": "UNMATCHED",
"tradeEventId": "<string>",
"txHash": "<string>",
"totalsRaw": {
"contractsGross": "<string>",
"contractsFee": "<string>",
"contractsNet": "<string>",
"usdGross": "<string>",
"usdFee": "<string>",
"usdNet": "<string>"
}
}
}
}
]
}Fetches historical order statuses for multiple orders by internal order IDs and/or client-provided order IDs. Returns execution details, settlement status, and maker match data for each order.
curl --request POST \
--url https://api.limitless.exchange/orders/status/batch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"items": [
{
"orderId": "4aa706dd-6c57-4f3c-945a-99818dfd95f1",
"clientOrderId": "client-order-001"
}
]
}
'{
"results": [
{
"index": 0,
"status": "found",
"error": "Exactly one of orderId or clientOrderId is required",
"orderId": "<string>",
"clientOrderId": "<string>",
"data": {
"order": {
"order": {
"salt": 1234567890,
"maker": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"signer": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
"tokenId": "19633204485790857949828516737993423758628930235371629943999544859324645414627",
"makerAmount": 1000000000000000000,
"takerAmount": 750000000000000000,
"feeRateBps": 0,
"side": 0,
"signature": "0x123abc456def789ghi0123abc456def789ghi0123abc456def789ghi0123456789012345678901",
"signatureType": 2,
"taker": "0x0000000000000000000000000000000000000000",
"expiration": "2025-04-30T23:59:59Z",
"nonce": 42,
"price": 0.75
},
"makerMatches": [
{}
]
},
"makerMatches": [
{}
],
"execution": {
"clientOrderId": "<string>",
"feeRateBps": 0,
"effectiveFeeBps": 0,
"matched": true,
"settlementStatus": "UNMATCHED",
"tradeEventId": "<string>",
"txHash": "<string>",
"totalsRaw": {
"contractsGross": "<string>",
"contractsFee": "<string>",
"contractsNet": "<string>",
"usdGross": "<string>",
"usdFee": "<string>",
"usdNet": "<string>"
}
}
}
}
]
}orderId (internal) or clientOrderId (your identifier). Provide exactly one per item — not both.JWT token for API access
List of status lookup queries (1-50 items)
1 - 50 elementsShow child attributes
Batch order statuses
Array of status results corresponding to request items
Show child attributes